MORParserInternal::State Struct Reference

Internal: the state of a MORParser. More...

## Public Member Functions

| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...

## Public Attributes

std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| a map type -> entry More...
MWAWColor | m_backgroundColor
| the organization back page color More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MORParser.

## Constructor & Destructor Documentation

MORParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

void MORParserInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## Member Data Documentation

int MORParserInternal::State::m_actPage

the actual page

MWAWColor MORParserInternal::State::m_backgroundColor

the organization back page color

std::vector<MWAWColor> MORParserInternal::State::m_colorList

a list colorId -> color

Referenced by setDefaultColorList().

int MORParserInternal::State::m_footerHeight

the footer height if known

int MORParserInternal::State::m_headerHeight

the header height if known

int MORParserInternal::State::m_numPages

the number of page of the final document

std::multimap<std::string, MWAWEntry> MORParserInternal::State::m_typeEntryMap

a map type -> entry

The documentation for this struct was generated from the following file:

- MORParser.cxx